---
title: "Returns information about a single content category by ID."
url: "https://developer.migros.ch/apis/content-categories-8/versions/e6c77d0d-643c-404c-9120-ba8e77ac25d6/operations/get-content-category"
---

> Full API specification: https://developer.migros.ch/apis/content-categories-8/versions/e6c77d0d-643c-404c-9120-ba8e77ac25d6.md

# Returns information about a single content category by ID.

`GET` `/migros/products/v8/content-categories/{id}`

Operation ID: `get-content-category`

Returns information about a single content category by ID.

## Path parameters

- `id` (string, required) - Resource ID or slug (if available).

## Query parameters

- `lang` (string, optional) - Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param "lang" or header "Accept-Language", not both.

## Header parameters

- `Accept-Language` (string, optional) - Defines the language (de/fr/it/en) for this request as request header. Either use the query param "lang" or header "Accept-Language", not both.

## Responses

- `200` - Returned when successful
- `404` - Returned when the requested resource could not be not found.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Content Categories
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/products/v8/content-categories/{id}:
    get:
      description: Returns information about a single content category by ID.
      operationId: get-content-category
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/lang"
        - $ref: "#/components/parameters/Accept-Language"
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ContentCategory"
          description: Returned when successful
        "404":
          $ref: "#/components/responses/404"
      summary: Returns information about a single content category by ID.
      tags:
        - Content Categories
security:
  - Kong-Api-Key: []
    basicAuth: []
components:
  parameters:
    id:
      description: Resource ID or slug (if available).
      in: path
      name: id
      required: true
      schema:
        type: string
    lang:
      description: Defines the language (de/fr/it/en) for this request as query
        parameter. Either use the query param "lang" or header
        "Accept-Language", not both.
      in: query
      name: lang
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
    Accept-Language:
      description: Defines the language (de/fr/it/en) for this request as request
        header. Either use the query param "lang" or header "Accept-Language",
        not both.
      in: header
      name: Accept-Language
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
  schemas:
    ContentCategory:
      description: Represents a content category from Magnolia.
      properties:
        display_name:
          nullable: true
          type: string
        id:
          type: string
        name:
          type: string
        parent_id:
          type: string
        path:
          type: string
      required:
        - id
        - name
      type: object
  responses:
    "404":
      description: Returned when the requested resource could not be not found.
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
